import { getHousekeepingCleaningList,getHousekeepingCleaningDetail } from "@/api/interfaceDocument";
import { getRequest } from "@/api/customFetch";

export const useGetHousekeepingCleaningList = () => {
    const cleaningList = ref<any[]>([]);
    getRequest(getHousekeepingCleaningList()).then((res) => {
        cleaningList.value = res.result as any[]
    })
    return {
        cleaningList
    }
}

export const useGetHousekeepingCleaningDetail = () => {
    const cleaningDetail = ref<any>({});
    getRequest(getHousekeepingCleaningDetail()).then((res) => {
        cleaningDetail.value = res.result as any
    })
    return {
        cleaningDetail
    }
}